> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.monite.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server.

# Collect payables

## Overview

There are several ways to collect [payables](../../references/glossary#payable) into Monite:

* [Create a payable via API](#create-a-payable-from-data) by providing the amount, currency, and other details.
* [Upload an invoice](#upload-files-via-api) in PDF, PNG, or JPEG formats via API.
* [Send an invoice in PDF, PNG, or JPEG formats by email](#send-payables-by-email) to the [entity](../../references/glossary#entity)'s mailbox.

When a payable is created from a PDF, PNG, or JPEG file, Monite's [OCR](../../references/glossary#ocr) service automatically extracts the invoice information from the file and a new payable is created with the extracted data fields accordingly. The `file` property of the payable contains the file metadata and the link to access the original source file.

## About Monite OCR

Monite OCR uses top-notch Optical Character Recognition ([OCR](../../references/glossary#ocr)) algorithms to pull text from payables.

* The OCR process is asynchronous and the processing time may vary according to the document size. The [webhook](../../references/webhooks/index) `ocr_finished` is triggered once the OCR has finished processing the file and storing the extracted data into a payable.
* The field `payable.ocr_status` reflects the current status of the OCR process of a payable. Its possible values are `processing`, `error`, and `success`.
* The minimum image file size is 100 KB.
* The maximum image file size is 20 MB.
* The maximum email size is 25 MB (including all attachments).
* Files with dimensions smaller than 400x400 px are not considered payables, thus, they are not processed.
* PDF files must have at least one page with dimensions bigger than 400x400 px to be considered a payable, otherwise, they are not processed.
* Multipage PDF files can have up to 100 pages.
* Monite's OCR service is not executed if the format of the uploaded document is not supported or the number of pages exceeds 10. Therefore, no invoice information is stored. In this case, only the information about the file is stored.
* You can configure the system to [avoid the creation of duplicated payables](#cancel-duplicated-payables-automatically) based on the information obtained by the OCR.

#### Covered languages

While this is not an exhaustive list, Monite OCR guarantees tested coverage for the following languages:



## Create a payable from data

If you already have the invoice data (amount in [minor units](../../references/currencies#minor-units), currency, vendor information, and other details) stored somewhere as individual attributes, you can create a payable with these attributes by calling `POST /payables`.

You can provide the [base64-encoded](https://en.wikipedia.org/wiki/Base64) contents of the original invoice file in the field `base64_encoded_file`:

```sh
curl -X POST 'https://api.sandbox.monite.com/v1/payables' \
     -H 'X-Monite-Version: 2023-09-01' \
     -H 'X-Monite-Entity-Id: ENTITY_ID' \
     -H 'Authorization: Bearer ACCESS_TOKEN' \
     -d '{
       "partner_metadata": {},
       "currency": "EUR",
       "description": "Restock office supplies",
       "due_date": "2023-07-15",
       "payment_terms": {
         "name": "2/10, 1/20, net 30",
         "term_1": {
           "number_of_days": 10,
           "discount": 200
         },
         "term_2": {
           "number_of_days": 20,
           "discount": 100
         },
         "term_final": {
           "number_of_days": 30
         }
       },
       "suggested_payment_term": {
         "date": "2023-07-25",
         "discount": 200
       },
       "issued_at": "2023-06-15",
       "counterpart_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
       "counterpart_bank_account_id": "ee415e8a-4368-4ef8-b192-d25b8e86ad0f",
       "counterpart_address_id": "d0f2899d-e2b1-4b95-8411-2ed1a9063bce",
       "counterpart_vat_id_id": "c0d3ca66-bdfa-4cdb-aceb-633d4dfe4f11",
       "base64_encoded_file": "... Base64-encoded contents of the invoice file ...",
       "file_name": "invoice.pdf",
       "tag_ids": [
         "ea837e28-509b-4b6a-a600-d54b6aa0b1f5"
       ],
       "document_id": "DE2287",
       "sender": "hello@example.com"
     }'
```

Notes:

* The `file_name` field is optional. If omitted, it defaults to `"default_file_name"`.
* If the settings are [configured](#suggested-payment-date) to automatically set `suggested_payment_term`, this object can be omitted from the request body.
* The fields `subtotal` and `total_amount` of the payable are automatically calculated based on the values of the [line items](../payables/line-items), therefore, they are read-only and appear only in the response schema. This feature can be disabled in the [partner](../../references/glossary#partner)'s settings by calling `PATCH /settings` passing the field `enable_line_items` as `false` (the default value is `true`). Once `enable_line_items` is disabled, the fields `amount`, `subtotal`, `tax`, and `tax_amount` of the `payable` object become editable during its creation and update, as they will no longer be calculated/re-calculated based on line items.

The successful response returns the `id` assigned to this payable, along with the information passed in the request. You can use this `id` in other API calls to update the data of this payable or trigger [status transitions](../approvals/manual-transition):

```json
{
  "partner_metadata": {},
  "id": "aa314fdd-a763-4920-a8c8-6285fc1745c0",
  "entity_id": "en-your0000-enti-ty00-1D3799b65bcf",
  "marked_as_paid_with_comment": null,
  "marked_as_paid_by_entity_user_id": null,
  "amount_due": 9900,
  "amount_paid": 0,
  "amount_to_pay": 9900,
  "status": "new",
  "source_of_payable_data": "user_specified",
  "currency": "EUR",
  "total_amount": 0,
  "total_amount_with_credit_notes": 0,
  "description": "Restock office supplies",
  "due_date": "2023-07-15",
  "payment_terms": {
    "name": "2/10, 1/20, net 30",
    "term_1": {
      "number_of_days": 10,
      "discount": 200
    },
    "term_2": {
      "number_of_days": 20,
      "discount": 100
    },
    "term_final": {
      "number_of_days": 30
    }
  },
  "suggested_payment_term": {
    "date": "2023-07-25",
    "discount": 200
  },
  "issued_at": "2022-06-15",
  "counterpart_id": "8737964a-5246-47f4-8243-8728a2be1e75",
  "counterpart_bank_account_id": "ee415e8a-4368-4ef8-b192-d25b8e86ad0f",
  "counterpart_address_id": "d0f2899d-e2b1-4b95-8411-2ed1a9063bce",
  "counterpart_vat_id_id": "c0d3ca66-bdfa-4cdb-aceb-633d4dfe4f11",
  "counterpart_bank_id": null,
  "counterpart_account_id": null,
  "counterpart_name": "Acme Inc.",
  "counterpart_address": {
    "country": "DE",
    "city": "Berlin",
    "postal_code": "10115",
    "state": "BE",
    "line1": "Flughafenstrasse 52",
    "line2": "Floor 2"
  },
  "payable_origin": "upload",
  "created_by_role_id": "6ba5a3b8-82c6-4aaa-b010-03bc4128b342",
  "credit_notes": [...]
  "was_created_by_user_id": "e4e422fc-6956-4fdd-b091-920329f8b92e",
  "currency_exchange": {
    "default_currency_code": "EUR",
    "rate": 10.0,
    "total": 0
  },
  "file": {
    "id": "2d14935e-505b-4863-a082-b6a340acabbc",
    "created_at": "2022-04-05T06:31:31.431Z",
    "file_type": "payables",
    "name": "file name",
    "region": "eu-central-1",
    "md5": "623470039566983ed5e5945f769ea873",
    "mimetype": "application/pdf",
    "url": "https://monite-file-saver-payables-eu-central-1-dev.s3.amazonaws.com/2d14935e.../669bab57c57f.pdf",
    "size": 49463,
    "previews": [],
    "pages": []
  },
  "tags": [
    {
      "name": "Marketing",
      "id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
      "created_at": "2022-09-07T16:35:18.484507+00:00",
      "updated_at": "2022-09-07T16:35:18.484507+00:00",
      "created_by_entity_user_id": "efe7eedd-89c5-56f5-984c-0712ee41a2eb"
    }
  ],
  "created_at": "2022-06-17T06:31:31.431Z",
  "updated_at": "2022-06-17T06:31:31.431Z",
  "approval_policy_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "document_id": "DE2287",
  "subtotal": 0,
  "tax": null,
  "tax_amount": null,
  "sender": "hello@example.com"
}
```

### Automatic calculation of due date

If the values of the fields `payment_terms.final_term` and `issued_at` are provided in the payable, the `due_date` will be automatically calculated based on `issued_at` plus the number of days defined by `payment_terms.final_term.number_of_days`.

For example, if `issued_at` equals to `2023-06-15` and `payment_terms.term_final.number_of_days` equals to 10, the `due_date` will be automatically set to `2023-06-25`.

In any other case, the `due_date` supplied by the user is stored in the payable. The `payment_terms` and `issued_at` fields have priority in the calculation of the `due_date`, even if the`due_date` is supplied by the user.

The automatic calculation of the `due_date` happens when the payable is parsed by the OCR, created with data, or updated.

### Suggested payment date

Once the payable is created, Monite automatically fills the payable's field `suggested_payment_term` with a suggestion for the payment date and corresponding discount, if available, based on its [payment terms](../../common/payment-terms) (represented by the field `payment_terms`). When the payable's `issued_at` or `payment_terms` fields are updated, the value for the `suggested_payment_term` is recalculated.

It is possible to choose the payment term (`term_1`, `term_2`, or `term_final`) to be suggested as default by setting the field `payment_priority` in the entity's settings to one of these values:

* `working_capital`: Selects the term with the latest possible payment target.

* `bottom_line`: Selects the term with the highest discount.

* `balanced`: Selects the intermediate term, that is, a balance between duration and drawn discount.

The `suggested_payment_term` will be calculated based on the field `issued_at` added by the `term_X.number_of_days`. Note that this suggestion does not affect the invoice's due date, which remains the same.

#### Change the payment priority

To update the `payment_priority` of in the entity's settings, call `PATCH /entities/{entity_id}/settings`, passing the new `payment_priority` in the body:

```sh
curl -X PATCH 'https://api.sandbox.monite.com/v1/entities/{entity_id}/settings' \
     -H 'X-Monite-Version: 2023-09-01' \
     -H 'X-Monite-Entity-Id: ENTITY_ID' \
     -H 'Authorization: Bearer YOUR_PARTNER_TOKEN' \
     -d '{
       "payment_priority": "working_capital"
     }'
```

### Attach file

You can attach an invoice file to an existing payable, in any status, by calling `POST /payables/{payable_id}/attach_file`:

```sh
curl -X POST 'https://api.sandbox.monite.com/v1/payables/{payable_id}/attach_file' \
     -H 'accept: application/json' \
     -H 'X-Monite-Version: 2023-09-01' \
     -H 'X-Monite-Entity-Id: ENTITY_ID' \
     -H 'Authorization: Bearer ACCESS_TOKEN' \
     -H 'Content-Type: multipart/form-data' \
     -F 'file=@payable.png;type=image/png'
```

The provided file is then returned in the file field on the `payable` object.

```json
{
  "partner_metadata": {},
  "id": "aa314fdd-a763-4920-a8c8-6285fc1745c0",
  "marked_as_paid_with_comment": null,
  "marked_as_paid_by_entity_user_id": null,
  "amount_due": 9900,
  "amount_paid": 0,
  "amount_to_pay": 9900,
  "entity_id": "en-your0000-enti-ty00-1D3799b65bcf",
  "status": "new",
  "source_of_payable_data": "user_specified",
  "currency": "EUR",
  "total_amount": 0,
  "description": "Restock office supplies",
  "due_date": "2022-07-15",
  "payable_origin": "upload",
  "file": {
    "id": "2d14935e-505b-4863-a082-b6a340acabbc",
    "created_at": "2022-04-05T06:31:31.431Z",
    "file_type": "payables",
    "name": "payable",
    "region": "eu-central-1",
    "md5": "623470039566983ed5e5945f769ea873",
    "mimetype": "image/png",
    "url": "https://monite-file-saver-payables-eu-central-1-dev.s3.amazonaws.com/2d14935e.../payable.png",
    "size": 49463,
    "previews": [],
    "pages": []
  },
  "tags": [
    {
      "name": "Marketing",
      "id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
      "created_at": "2022-09-07T16:35:18.484507+00:00",
      "updated_at": "2022-09-07T16:35:18.484507+00:00",
      "created_by_entity_user_id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5"
    }
  ],
  "created_at": "2023-11-21T15:32:36.695Z",
  "updated_at": "2023-11-21T15:32:36.695Z",
  "other_extracted_data": {...},
  ...
}
```

Notes:

* The uploaded file is stored only for reference purposes.
* The file is not processed by the OCR or validated, therefore, the users need to ensure that the information in the file is correct.
* If the payable already has a file attached, an error is returned when trying to attach another one.

### Cancel duplicated payables automatically

You can configure the system to avoid the creation of duplicated payable based on the information obtained by the OCR.

To enable this feature, send a `PATCH` request to the `/settings` endpoint, setting the `payable.allow_cancel_duplicates_automatically` field to `true`:

```sh
curl -X PATCH 'https://api.sandbox.monite.com/v1/settings' \
     -H 'X-Monite-Version: 2023-09-01' \
     -H 'X-Monite-Entity-Id: ENTITY_ID' \
     -H 'Authorization: Bearer YOUR_PARTNER_TOKEN' \
     -d '{
        "payable": {
          "allow_cancel_duplicates_automatically": true
        }
      }'
```

This way, once the counterpart is successfully [auto-linked](../../common/counterparts/index#auto-linking) and the OCR identifies the invoice number inside the payable, the system verifies if there is any invoice with an identical counterpart ID (`counterpart_id` field) and invoice number (`document_id` field) for the given [entity](../../references/glossary#entity). If a payable with this information is found, i.e. the payable already exists, the system automatically sends the newly created payable to the `canceled` [status](../approvals/manual-transition#cancel-a-payable).

> **Info**
>
> To ensure the automatic cancellation of duplicated payables, it is imperative to have the [auto-linking feature](../../common/counterparts/index#auto-linking) enabled.

## Upload files via API

You can upload invoices in the PDF, PNG, or JPG format to Monite by calling `POST /payables/upload_from_file`. The maximum file size is 20 MB:

```sh
curl -X POST 'https://api.sandbox.monite.com/v1/payables/upload_from_file' \
     -H 'X-Monite-Version: 2023-09-01' \
     -H 'X-Monite-Entity-Id: ENTITY_ID' \
     -H 'Authorization: Bearer ACCESS_TOKEN' \
     -H 'Content-Type: multipart/form-data' \
     -F 'file=@pdf-invoice.pdf;type=application/pdf'
```

In return, you receive back the `201 Created` response with `id` and other parameters:

```json
{
  "partner_metadata": {},
  "id": "61257ac9-ef71-4977-9e40-c9e027c7d539",
  "entity_id": "9d2b4c8f-2087-4738-ba91-7359683c49a4",
  "marked_as_paid_with_comment": null,
  "marked_as_paid_by_entity_user_id": null,
  "amount_due": 9900,
  "amount_paid": 0,
  "amount_to_pay": 9900,
  "status": "draft",
  "source_of_payable_data": "ocr",
  "currency": "EUR",
  "total_amount": 0,
  "total_amount_with_credit_notes": 0,
  "description": null,
  "due_date": null,
  "payment_terms": null,
  "suggested_payment_term": null,
  "issued_at": null,
  "counterpart_bank_account_id": "ee415e8a-4368-4ef8-b192-d25b8e86ad0f",
  "counterpart_address_id": "d0f2899d-e2b1-4b95-8411-2ed1a9063bce",
  "counterpart_vat_id_id": "c0d3ca66-bdfa-4cdb-aceb-633d4dfe4f11",
  "counterpart_bank_id": null,
  "counterpart_id": null,
  "counterpart_account_id": null,
  "counterpart_name": null,
  "counterpart_tax_id": null,
  "counterpart_address": null,
  "payable_origin": "upload",
  "created_by_role_id": null,
  "credit_notes": [...],
  "was_created_by_user_id": null,
  "currency_exchange": null,
  "file": {
    "id": "eac016c4-e06e-4cea-8ebf-3ec72dc8b49d",
    "created_at": "2023-03-20T18:24:24.808836+00:00",
    "file_type": "payables",
    "name": "8d545f97-bcb3-4dfc-8ccf-1aa62d887781",
    "region": "eu-central-1",
    "md5": "89746feb534f35364e6760e2d834fe19",
    "mimetype": "application/pdf",
    "url": "https://monite-file-saver-payables-eu-central-1-dev.s3.amazonaws.com/2d14935e.../669bab57c57f.pdf",
    "size": 18095,
    "previews": [],
    "pages": []
  },
  "tags": null,
  "created_at": "2023-03-22T08:09:06.650657+00:00",
  "updated_at": "2023-03-22T08:09:06.650669+00:00",
  "other_extracted_data": {
    "total": 9900,
    "currency": "EUR",
    "line_items": [
      {
        "unit": "item",
        "quantity": 1.22,
        "unit_price": 1200,
        "description": "Services , Products & Goods",
        "total_excl_vat": 1200,
        "vat_percentage": 2000,
        "line_item_ocr_id": "65379361795af74184f49608_3_c2e0d25bcef3edc8037218a553abcff2"
      }
    ],
    "document_id": "FA - 000001",
    "tax_payer_id": null,
    "payment_terms": null,
    "counterpart_name": "Mindspace Germany GmbH",
    "document_due_date": "2022-01-22",
    "counterpart_address": null,
    "counterpart_account_id": null,
    "document_issued_at_date": "2022-01-04",
    "counterpart_address_object": {
      "city": "Berlin",
      "line1": "Witter . 30 , Haus F",
      "line2": null,
      "state": null,
      "country": null,
      "postal_code": "13509",
      "original_country_name": null
    }
  },
  "approval_policy_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "document_id": null,
  "subtotal": 0,
  "tax": null,
  "tax_amount": null,
  "sender": null,
  "ocr_request_id": "d31562e6-8e7d-4dbd-ba53-a8a62b6c2a62",
  "ocr_status": "success"
}
```

You will also receive a [webhook](../../references/webhooks/index) indicating that this payable resource has been created:

```json
{
  "id": "aa314fdd-a763-4920-a8c8-6285fc1745c0",
  "created_at": "2024-03-04T20:06:48.593225+00:00",
  "action": "payable.created_from_file_upload",
  "api_version": "2023-09-01",
  "entity_id": "en-your0000-enti-ty00-1D3799b65bcf",
  "description": "Action has been performed on the invoice: created_from_file_upload.",
  "object": {
    "id": "aa314fdd-a763-4920-a8c8-6285fc1745c0"
  },
  "object_type": "payable",
  "webhook_subscription_id": "c7f37127-44e5-494a-833a-21e60585f187"
}
```

Note that at this stage the payable resource is incomplete and waiting for the results of the OCR service, which automatically scans the details from the uploaded invoice and maps the information from the invoice to the corresponding data field in the system.

When the OCR scanning is finished (this might take up to 5-7 minutes), you will receive the `payable.ocr_finished` webhook event:

```json
{
  "id": "aa314fdd-a763-4920-a8c8-6285fc1745c0",
  "created_at": "2024-03-04T20:09:32.593225+00:00",
  "action": "payable.ocr_finished",
  "api_version": "2023-09-01",
  "entity_id": "en-your0000-enti-ty00-1D3799b65bcf",
  "description": "Action has been performed on the invoice: ocr_finished.",
  "object": {
    "id": "aa314fdd-a763-4920-a8c8-6285fc1745c0"
  },
  "object_type": "payable",
  "webhook_subscription_id": "c7f37127-44e5-494a-833a-21e60585f187"
}
```

Now, you can call `GET /payables/{payable_id}` to retrieve the results of the OCR scanning:

```json
{
  "partner_metadata": {},
  "id": "aa314fdd-a763-4920-a8c8-6285fc1745c0",
  "entity_id": "en-your0000-enti-ty00-1D3799b65bcf",
  "marked_as_paid_with_comment": null,
  "marked_as_paid_by_entity_user_id": null,
  "amount_due": 9900,
  "amount_paid": 0,
  "amount_to_pay": 9900,
  "status": "new",
  "source_of_payable_data": "ocr",
  "currency": "EUR",
  "total_amount": 9900,
  "total_amount_with_credit_notes": 9900,
  "description": "",
  "due_date": "2023-07-15",
  "payment_terms": {
    "name": "2/10, 1/20, net 30",
    "term_1": {
      "number_of_days": 10,
      "discount": 200
    },
    "term_2": {
      "number_of_days": 20,
      "discount": 100
    },
    "term_final": {
      "number_of_days": 30
    }
  },
  "suggested_payment_term": {
    "date": "2023-07-25",
    "discount": 200
  },
  "issued_at": "2023-06-15",
  "counterpart_bank_account_id": "ee415e8a-4368-4ef8-b192-d25b8e86ad0f",
  "counterpart_address_id": "d0f2899d-e2b1-4b95-8411-2ed1a9063bce",
  "counterpart_vat_id_id": "c0d3ca66-bdfa-4cdb-aceb-633d4dfe4f11",
  "counterpart_bank_id": "DEUTDE2HXXX",
  "counterpart_id": "8737964a-5246-47f4-8243-8728a2be1e75",
  "counterpart_account_id": "123456789012",
  "counterpart_name": "Acme Inc.",
  "counterpart_address": {
    "country": "DE",
    "city": "Berlin",
    "postal_code": "10115",
    "state": "BE",
    "line1": "Flughafenstrasse 52",
    "line2": "Floor 2"
  },
  "payable_origin": "upload",
  "created_by_role_id": null,
  "credit_notes": [...],
  "was_created_by_user_id": "e4e422fc-6956-4fdd-b091-920329f8b92e",
  "currency_exchange": null,
  "file": {
    "id": "2d14935e-505b-4863-a082-b6a340acabbc",
    "created_at": "2022-04-05T06:31:31.431Z",
    "file_type": "payables",
    "name": "invoice-example.pdf",
    "region": "eu-central-1",
    "md5": "623470039566983ed5e5945f769ea873",
    "mimetype": "application/pdf",
    "url": "https://monite-file-saver-payables-eu-central-1-dev.s3.amazonaws.com/2d14935e.../669bab57c57f.pdf",
    "size": 49463,
    "previews": [],
    "pages": [
      {
        "id": "ad712600-bab8-4e0d-9da7-5d561484f1b1",
        "mimetype": "image/png",
        "size": 219712,
        "number": 0,
        "url": "https://monite-payables.com/1a95c387.../ac02c56d2a3d.png"
      }
    ]
  },
  "tags": [],
  "created_at": "2022-04-05T06:31:31.431Z",
  "updated_at": "2022-04-05T06:31:31.431Z",
  "ocr_request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "ocr_status": "success",
  "other_extracted_data": {
    "total": 52649,
    "currency": "EUR",
    "line_items": [
      {
        "unit": "items",
        "quantity": 0.25,
        "unit_price": 38500,
        "description": "Open Space - monthly rent",
        "total_excl_vat": 9625,
        "vat_percentage": 1900,
        "line_item_ocr_id": "65391e037952904f8af4dbb2_0_cb9bdddf14bd17bf789a24f9d99a94bf"
      },
      {
        "unit": "m",
        "quantity": 1.0,
        "unit_price": 38500,
        "description": "Open Space - extra requests",
        "total_excl_vat": 38500,
        "vat_percentage": 700,
        "line_item_ocr_id": "65391e037952904f8af4dbb2_1_3332ec854a09518fccd73598795147e7"
      }
    ],
    "document_id": "202008476",
    "tax_payer_id": "DE 302071443",
    "payment_terms": null,
    "counterpart_name": "Mindspace Germany GmbH",
    "document_due_date": "2021-02-01",
    "counterpart_address": null,
    "counterpart_account_id": "DE 57550104000595963377",
    "document_issued_at_date": "2021-02-01",
    "counterpart_address_object": {
      "city": "Berlin",
      "line1": "Wittestr . 30 , Haus F",
      "line2": null,
      "state": null,
      "country": null,
      "postal_code": "13509",
      "original_country_name": null
    }
  },
  "approval_policy_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "document_id": "DE2287",
  "subtotal": 9000,
  "tax": 1000,
  "tax_amount": 250,
  "sender": "hello@example.com"
}
```

The `other_extracted_data` field in the response contains individual text labels and values extracted by OCR.

You can use this data to review and double-check the recognized text, but keep in mind that the structure of this object can change or even be null depending on the OCR results and various types of invoices:

```json
"other_extracted_data": {
  "total": 52649,
  "currency": "EUR",
  "line_items": [
    {
      "unit": "items",
      "quantity": 0.25,
      "unit_price": 38500,
      "description": "Open Space - monthly rent",
      "total_excl_vat": 9625,
      "vat_percentage": 1900,
      "line_item_ocr_id": "65391e037952904f8af4dbb2_0_cb9bdddf14bd17bf789a24f9d99a94bf"
    },
    {
      "unit": "m",
      "quantity": 1.0,
      "unit_price": 38500,
      "description": "Open Space - extra requests",
      "total_excl_vat": 38500,
      "vat_percentage": 700,
      "line_item_ocr_id": "65391e037952904f8af4dbb2_1_3332ec854a09518fccd73598795147e7"
    }
  ],
  "document_id": "202008476",
  "tax_payer_id": "DE 302071443",
  "payment_terms": null,
  "counterpart_name": "Mindspace Germany GmbH",
  "document_due_date": "2021-02-01",
  "counterpart_address": null,
  "counterpart_account_id": "DE 57550104000595963377",
  "document_issued_at_date": "2021-02-01",
  "counterpart_address_object": {
    "city": "Berlin",
    "line1": "Wittestr . 30 , Haus F",
    "line2": null,
    "state": null,
    "country": null,
    "postal_code": "13509",
    "original_country_name": null
  }
}
```

Some comments about the `line_items` field:

* `unit`: This can be any string that describes the units involved. It can be "m", "h", "items", or anything else. It does not affect any numerical values.
* `quantity`: The number of items in float format, for example, `0.25` or `10.0`. The quantity is used to calculate the total amount and subtotal of the line item and the overall payable.
* `unit_price`: The price per unit expressed in [minor unit of currency](../../references/glossary#minor-unit-of-currency). This value influences the total amount and subtotal of the line item and the overall invoice.
* `description`: The description of the line item.
* `total_excl_vat`: The total amount before taxes that equals to `quantity * unit_price`. It is also measured in minor units and its value is used to calculate the total amount of the line item and the overall invoice.
* `vat_percentage`: The taxes as a percentage, expressed in minor units, for example, `1900` represents 19%. This value influences the total amount of the line item and the overall invoice ( = subtotal + applying taxes).

## Send payables by email

Each entity has a [dedicated mailbox](../../advanced/mailboxes) in Monite to which the payables can be sent. The entity or entity user can send invoices as attachments in PDF, PNG, or JPEG format to this mailbox (the maximum file size is 20 MB).

The Monite OCR service scans the information inside each email's attachments. Then, Monite automatically creates a [draft payable](../payables/index#statuses) invoice for each occurrence found. The email of the sender of these files is saved in the field `sender` of the invoice.

To find the mailbox assigned to a specific entity, call `GET /v1/mailboxes`:

```sh
curl -X GET 'https://api.sandbox.monite.com/v1/mailboxes' \
     -H 'X-Monite-Version: 2023-09-01' \
     -H 'X-Monite-Entity-Id: ENTITY_ID' \
     -H 'Authorization: Bearer YOUR_PARTNER_TOKEN'
```

The successful response contains information about the mailbox:

```json
[
  {
    "id": "e8c884f8-bed3-4d92-afc9-3538c5079014",
    "entity_id": "68fdd6b5-b60c-4f4d-8642-1cd7f2fa31e8",
    "status": "active",
    "related_object_type": "payable",
    "mailbox_name": "1102737648192968373_payables",
    "mailbox_full_address": "1102737648192968373_payables@mg.sandbox.monite.com",
    "belongs_to_mailbox_domain_id": null
  }
]
```

> **Info**
>
> By default, the automatically created mailboxes belong to the Monite domain (the web address that comes after `@` in an email address), but the [partners ](../../references/glossary#partner) can [set up their own email domain](../../advanced/mailboxes) for better convenience.

## Uploading already paid payables

Uploaded payables that are already paid can be automatically recognized as such for automatic payment approval. Once the payable is recognized as paid, its status will be changed to `paid` or `partially paid` according to the this rule:

* If the value of the `amount_paid` is greater or equal to the `amount_to_pay`, the payable status is automatically changed to the `paid` status.
* If the value of the `amount_paid` is greater than `0` and the value of the `amount_paid` is greater or equals to the `amount_to_pay`, the payable status is automatically changed to the `partially_paid` status.

To enable this behavior, set the field `skip_approval_for_paid_invoice` to `true` in the [partner settings](/api/partner-settings/patch-settings):

```sh
curl -X PATCH 'https://api.sandbox.monite.com/v1/settings' \
     -H 'X-Monite-Version: 2023-09-01' \
     -H 'X-Monite-Entity-Id: ENTITY_ID' \
     -H 'Authorization: Bearer YOUR_PARTNER_TOKEN' \
     -d '{
        "payable": {
          "skip_approval_for_paid_invoice": true
        }
      }'
```

The `skip_approval_for_paid_invoice` default value is `false`.

## Automatic matching of purchase orders with payables

Every time a payable is created or updated, Monite automatically tries to link this payable to its corresponding purchase order, which is already created in the system. The conditions for the purchase order autolinking to be performed are:

* The counterpart name on the payable must match, [with a certain tolerance](#tolerance-match), the counterpart name on the purchase order.
* The line items\` name and price on the payable must match those on the purchase order.
* The total amount of the payable or unit price for the line items on the payable must match those on the purchase order.

Once the corresponding purchase order is found, its ID is added to the `payable.purchase_order_id` field. If more than one applicable purchase order is found, the most recently created is selected.

The automatic matching is **enabled** by default. To disable this behavior, call `PATCH
/entities/{entity_id}/settings`, passing the field `allow_purchase_order_autolinking` as `false` in the body.

The payable can also be manually matched by calling `PATCH /payables/{payable_id}`, passing the `purchase_order_id` in the body.

### Tolerance match

The matching is performed considering these tolerance rules:

* Minor variations in the counterparts\` names are accepted (e.g., "Ltd" vs. "Limited").
* The billed quantity may vary slightly within a small allowable range.
* The total amount of the payable or the unit price on the payable may exceed the agreed-upon price by 5%.

Payables that do not meet the exact or tolerance match criteria require a manual review. This process includes:

* Checking for typos or data entry errors.
* Verifying explanations for discrepancies (e.g., price changes, shipping fees).